### Method

# GObject TypeClass unref_uncached

deprecated: 2.84

#### Declaration [src]

    void
    g_type_class_unref_uncached (
      GObjectTypeClass* g_class
    )

#### Description [src]

A variant of `g_type_class_unref()` for use in `GTypeClassCacheFunc` implementations.

It unreferences a class without consulting the chain of `GTypeClassCacheFuncs`, avoiding the recursion which would occur otherwise.

Deprecated since: 2.84

Type class reference counting has been removed and type classes now cannot be finalized. This function no longer does anything.

This method is not directly available to language bindings.